%% This is a template for the 52th Annual Iranian Mathematics Conference to be
%% held at Shahid Bahonar University.
%%
%% Acknowledgements: In this file, some parts and ideas from the templates for
%% the 50th AIMC and the 10 Seminar on Linear algebra and its Applications
%% has been used.

%\ProvidesClass{aimc52-en}[A template for the 52th Annual Iranian
%Mathematics Conference, Shahid Bahonar University of Kerman]

\newif\if@english
\@englishtrue
\DeclareOption{Persian}{
	\@englishfalse
}
\ProcessOptions\relax


\if@english
\LoadClass[a4paper,11pt,twoside]{amsproc}%
\else
\LoadClass[a4paper,11pt,twoside]{amsart}%
\fi

\RequirePackage{graphicx} %
\RequirePackage[all]{xy} %
\RequirePackage{amsmath,amssymb, amsthm, amsfonts, amscd, mathtools, cite, subfig}
\RequirePackage{euscript}%
\RequirePackage{epsfig} %
\RequirePackage{fancyhdr} %
\RequirePackage{color,xcolor}%
\definecolor{Blue}{rgb}{0,0,1}
\definecolor{Red}{rgb}{1,0,0}
\RequirePackage{ifxetex}%
\RequirePackage[nomarginpar,width=150mm,height=220mm,top=40mm,
headsep=5mm,footskip=11.29mm, headheight=24mm]{geometry}
\RequirePackage{eso-pic}%
\RequirePackage{epstopdf}
\RequirePackage{float}
%\RequirePackage{TikZ}
\evensidemargin=0.5\evensidemargin \addtolength{\evensidemargin}{0.5\oddsidemargin}
\oddsidemargin=\evensidemargin
\ifxetex
\usepackage[xetex, bookmarksnumbered, plainpages, colorlinks,linkcolor=blue,citecolor=magenta,anchorcolor=red
,pdfpagetransition={Wipe}]{hyperref}
\hypersetup{pdftitle={AIMC52}}

\else
\usepackage[bookmarksnumbered, plainpages, colorlinks,linkcolor=blue,citecolor=magenta,anchorcolor=red
,pdfpagetransition={Wipe}]{hyperref}
\hypersetup{pdftitle={AIMC52}}%
\fi

\g@addto@macro\@setabstracta{
	\ifx\@setabstract\relax  \hrulefill
	\else \relax
	\fi
}


\makeatletter
\def\section{\@startsection{section}{1}%
	\z@{.7\linespacing\@plus\linespacing}{.5\linespacing}%
	{\large\bfseries\hspace*{0pt}}}
\makeatother

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\baselineskip=0.6cm
\newcommand{\abskeywords}{\par\vspace{0.1cm}\noindent{\bfseries Keywords:}\,\,}
\newcommand{\amssubject}{\par\vspace{0.1cm}\noindent{\bfseries AMS Mathematics Subject Classification [2010]:}\,\,}
\newcommand{\myrule}{\vskip 0.1cm\hrule height 1pt\vskip 0.1cm}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\fancypagestyle{body}{
	\fancyhead{} \fancyhead[CO]{\shorttitle} \fancyhead[CE]{\shortauthors}
	\cfoot{$\thepage$}
}
\pagestyle{body}
%\if@english

\theoremstyle{plain}
\newtheorem{theorem}{Theorem}[section]
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{corollary}[theorem]{Corollary}

\theoremstyle{definition}
\newtheorem{definition}[theorem]{Definition}
\newtheorem{notation}[theorem]{Notation}
\newtheorem{remark}[theorem]{Remark}
\newtheorem{example}[theorem]{Example}
\newtheorem{note}[theorem]{Notation}



\theoremstyle{question}
\newtheorem*{question}{ًQuestion}

\theoremstyle{solution}
\newtheorem*{solution}{Solution}




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newenvironment{alphafootnotes}
{\par\edef\savedfootnotenumber{\number\value{footnote}}
	\renewcommand{\thefootnote}{\fnsymbol{footnote}}
	\setcounter{footnote}{0}}
{\par\setcounter{footnote}{\savedfootnotenumber}}


\graphicspath{{images/}}

\allowdisplaybreaks

\fancyhead{}
\fancyhead[LE,RO]{}
\fancyfoot[C]{\thepage}
\renewcommand{\headrulewidth}{0.4pt}
\thispagestyle{plain}
%% End of file `aimc52.cls'.
